## syncterm 0.9.4b-maemo3

=== conio/Makefile ===
# conio/Makefile

#########################################################################
# Makefile for Synchronet Message Base Library (SMBLIB)					#
# For use with Borland C++ Builder 5+ or Borland C++ 5.5 for Win32      #
# @format.tab-size 4													#
#																		#
# usage: make															#
#########################################################################

# $Id: Makefile,v 1.23 2007/09/19 18:54:12 deuce Exp $

# To build a DLL, use "make [OPTIONS] DLLIBS=1 dl-mtlib"
# You *MUST* do a clean between a static and dynamic lib on Win32!

# Macros
#DEBUG	=	1				# Comment out for release (non-debug) version

SRC_ROOT = ..
# Cross platform/compiler definitions
!include ..\build\Common.bmake	# defines clean and output directory rules

!ifdef USE_SDL_AUDIO
OBJS		= $(OBJS) $(MTOBJODIR)$(DIRSEP)sdl_con$(OFILE)
!else
!ifdef USE_SDL
OBJS		= $(OBJS) $(MTOBJODIR)$(DIRSEP)sdl_con$(OFILE)
OBJS		= $(OBJS) $(MTOBJODIR)$(DIRSEP)SDL_win32_main$(OFILE)
OBJS		= $(OBJS) $(MTOBJODIR)$(DIRSEP)sdlfuncs$(OFILE)
NEED_BITMAP	= 1
!endif
!endif

!ifdef NEED_BITMAP
OBJS		= $(OBJS) $(MTOBJODIR)$(DIRSEP)bitmap_con$(OFILE)
!endif

#The following is necessary only when DLL-exporting wrapper functions
!ifdef DLLIBS
CFLAGS  =       $(CFLAGS) -DCIOLIB_EXPORTS=1 -DWRAPPER_IMPORTS=1
LDFLAGS =	$(LDFLAGS) -L$(LIBODIR)
!endif

CFLAGS = -w-par -w-csu $(CFLAGS) $(XPDEV-MT_CFLAGS) $(CIOLIB-MT_CFLAGS) $(MT_CFLAGS) -I$(CIOLIB_SRC)
OBJS = $(OBJS) $(MTOBJODIR)$(DIRSEP)win32cio$(OFILE)

mtlib: $(LIBODIR)$(DIRSEP)ciolib.res

dl-mtlib: $(LIBODIR)$(DIRSEP)ciolib.res

$(LIBODIR)$(DIRSEP)ciolib.res: ciolib.rc syncicon64.ico
	@echo Creating $< ...
	$(QUIET)brcc32 -fo$@ -32 ciolib.rc

$(CIOLIB-MT_BUILD): $(OBJS)
	@echo Creating $< ...
	-$(QUIET)$(DELETE) $@
	&$(QUIET)tlib $@ +$**

$(CIOLIB-MT_SHLIB_BUILD): $(OBJS)
	@echo Linking $@
	$(QUIET)$(MKSHLIB) $(MT_LDFLAGS) $(XPDEV-MT_LDFLAGS) -lGi -e$@ $(LDFLAGS) $(SHLIBOPTS) $(XPDEV-MT_LIBS) @&&|
	$**
	cw32mt.lib
|

test:
	$(QUIET)$(CC) $(CFLAGS) $(MT_LDFLAGS) $(CIOLIB-MT_LDFLAGS) $(XPDEV-MT_LDFLAGS) keytest.c $(LDFLAGS) $(CIOLIB-MT_LIBS) $(XPDEV-MT_LIBS)

## syncterm 0.9.4b-maemo1

=== debian/changelog ===
syncterm (0.9.4b-maemo1) unstable; urgency=low

  *  Fremantle packaging
  *  Using system wide cryptlib.h
  *  Using libcrypt-3.4
  *  Fixed: Keyboard-focus on Maemo5 when using X11-interface.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri,  25 Mar 2011 21:02:08 +0200

=== debian/control ===
Source: syncterm
Section: libs
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libcrypt-dev, libsdl1.2-dev, libncurses5-dev, libx11-dev
Standards-Version: 3.7.2

Package: syncterm
Architecture: any
Depends: ${shlibs:Depends}
Description: SyncTERM is a BBS terminal program
 .
 Homepage: http://www.syncterm.net/
XSBC-Bugtracker: http://sourceforge.net/tracker/?group_id=183101&atid=903888
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sDGRMYJpDqJAQAAA8QSURBVGje7Zl7dFXVncc/+5xzz33k5uZ1MZCE
 xpsXIiE8AoGYoIVWhkeLMsRVZopW247KVMQqVlkwEgTKdBECiFNdVccyFpdF
 pzpqkVmoPAtYWhh5GdAQE0iAvG/uzX3f+5s/ckmLVmunzh9di+9aZ61z9jrn
 t3+/vfdvn9/3u+EqruIqruJvHo888shf/M2jjz76pfSt/tIPHnzwQerr6z/V
 vmLFirX9/f2hQCBAOBwmFouRSCQA0DQNwzCwWq04HA5SUlJsK1euXPpJGz/8
 4Q/ZsGHDlx/A/fffzxNPPDH4vHz58ns7OzuXdXd3x71eL/39/QnAEwwGiUQi
 xGIxYrHYFTYMw8AwDEzTxG63AzSlpKRoaWlpZGZm6m63e83q1aufvvz+4sWL
 2bRp0/8tgCVLllBXV3d5xHPOnj2rhgwZsqyvr29he3s7vb299Pb2SiQSUUoN
 mFBKoZQiHA6j6zoWi+UKm9FolHg8jmmaAIgIIgKAaZqSlpamMjIyuOaaa3C5
 XE+1t7evKSwslPr6+jaAhx9+mHXr1n1+AIsWLWLz5s0ALF26dO2JEyd6gLXt
 7e2az+fD5/OJpmkqEong9/uxWCzEYjGCwSAAsVhs0KnPg2EYKAUWSwKr1UUs
 FsPptGOaDkREnE6ncjqdZGdnJ4ClpaWlGWvXrl36SR+vwOLFiy8n17233XZb
 c2VlpRQXF0thYaEUFBSI2+0WwzDEMAxRSgnwV17pAksFnAJOUapKDEMXwzAk
 KytLCgoKpKCgQIqKiqSyslJqamqaH3300XsBHnjggStnYP369an79+833G53
 9/vvv09bW5tomqaCwSCBQID+/v7PGU8TSAO6gULABjQBvs/5Jhu4B3gdOJFs
 ywA6sNvt6LpONBolMyuTaCSK3W5HRCQnJ0eNGTOGzs7OzOrq6thDDz3kMwBO
 nz69z+v1jjl27JiEw2Hl9/tVKBQiFApd0a3FYhlIRouB3+dHxASGAQ6gC7ge
 OA/MAzqA/wFaASvgTt4D1CavS39kveMPuaQpLBZFV2cXkUgEXddwudJUW1sb
 XV1dkp+f393Q0PA+MFZVVVWd7+rqyo1EIuLz9anOzk7+1DIuG1NGXm4ex08c
 51zL+eRKAHACY5NOqmQgXwEeBlqSjhYAq4CZAzOlbcTpqKWoaDgZGZmkOlNB
 QTgU5sjRI3R0dAAVwG+BaqAB6EQpDbc7i9TUVDFNU2VlZbUaLS0tubqu0dUV
 VD6fBtwMXMDpbMS02rnnnnvIycnB4/GwZ/cetm/fnlw2dwI3AgmgNBlMAvAC
 O5OBnAX8yQCKQN0E2liwzCcW3YpIPw88sJjCgiKUpvD5fNSurGXHWzuSdgAu
 At8GLIisp6Ojg1AopDIzM2lubs7Vo9FobVeXQTg8BziJaTZTUzOJH/xgMQtu
 X0BJSQk5OTm0nm/l6ad/Sk/PUOAXwD+h1EE07RCjSl/mllu7iMWe4dKlVOAb
 6PpGbrnFS8UkDxcvHqI/VgO2NhheiOp+G4WXCxf209zcwryaeRQWFZKekc6J
 4ydobW1l3rxqxpeXM358Dt3d+/B6b0zmVjeRSASv10sgEMAY2AJvBY4B3RQW
 jWTB7Xdis9mw2Ww4bA56vD3YHTa6u9tQZiuG1U3UByXFL7Py8bsxrQ6CwX5e
 e/UI8HeUlr7AkofmMjRnGBaLhb7OOl4zd8OrClfvUhY9cgdVN9yLUgv5/e9/
 z4GDB+j19hKLxTAsBhMmTOAf/nEBCGzY8DyXLlUkZ308EALODW7b2kB2noLU
 iwBMmzqN0aWjKSkpof1iOy9ufZF4PI7bPQSPpxiJvkI8fAR4D9O0MXz4V3A6
 nbS2dtLRsQB4ghtu6OBaj2fwZ5bnyYdXX2T06F/w49pHmDFjBukZ6aSlp3Hz
 9Jtp/KiR/v5+hg8fTnVVNeFweCChNVDqekKhYjQtC6VeAv41mXMuQEsGoL0P
 5KIYgsXUsFgs2G12hg8fTsu5Ftb9ZB2H3ztMdfU0kIVkum7FYvkvkBgiAyNx
 sa0drm3HzNjJiZNnqaurw+/zD2ya2bm4sw6xcdPPmDBhAtFYlGAoiL/fTzgS
 ZuvWrXR1dJGXm0dlZSWdnZ309vSiaTolJZ3oRiuGAbr+LEqdQalUYCiQgQ5m
 LfElEFkIVHL4yGbONBymYkIF/aEA48aPo6mpief+/TlmzZrF7XcswO1O4dTJ
 RtIzfMydO5tgKITP18MwdwsfHT9E44cj6ehs4utfr8A9ZAitra2EwlFmzpxB
 OBLGolkIhoIIQiwaY/PmzYwuK2XKlBuxmBbyr80n1ZWKYRhce20+U6akMm1a
 D9+YrQiG3mLKlFxOntRIJCIA5YLWJfCIwB4h+5zAPQL5MnfuN+X1116X3x3+
 ncyfP1/W16+XXbt3ydvvvC25ucNk9uxZIiKyY8cOOXr0qIiInG08K9/73p2S
 5kqVg4cOiojIC1tekCNHjoiIyLlz52TkyJFy6623yJ69e2TN6pUC5VJePkku
 Xbok0WhUQqGQ+P1+uYyamjkCtwtFDwrG/QJ3CXxfwCo69tm15FdBzzagGEI/
 5aab0ikucvHW9mP85jf7mDR5DBUVFWRkZGCxWNA1HaU0EokEBYUFePu8nDxx
 EotpIRKLMHFiBVlZblJdqUSjUY4dO8aQIUPIz8/n5MmT1Nevo6e3lEDgOMFQ
 lDOnd5GW5mLa1Gmcbz3Pho31rK/7CZWVVbRdaOPixYvs29cAejXItyH6DrAd
 6EMj0gCdGqSsQNe8fGteFw89OIWSEZmkZ+pYzATDhg7D7Xbz5utvku3OZkTJ
 CGpX1lJbW8uIkhG0tLQQjUQJBAIc+d0RXnzxRW686UZSUlLwer34/D6azjYR
 jUbxeDzM/sZsLrS18tyz1/DsMy9RXDICf7+fpo+b8Hq9NDT0sndvK7/97SG6
 u7uZUn0TpJ4HewkE3wS2Ae0DhSHxA+BYBWOrUds/Ji9vOLphYd68GmpqajAt
 Vuw2Oyj47ve+y4pVKyj4SgFTp01l8g2TicVjnDl9hokTJmIxLNjtdurX15OZ
 kcHEigoSiQRD3EN4fPXjTJ8+nUg0wmPLV6LxOG1t+6mYvIChQ7N5/vmttLd3
 kJmVgcVIA7URv+9DbLbrsNus5BVfy3nrz6Bl2xUVggYJaHsa3lmAWB5DxEZW
 ZhYOu4NgMEQ0FsVmtxHoD3DovT1UTR7Hf+98g4d/tITTDac5cOAAhw8fprSs
 FKfDSdnoMkaOLGPNmufYv38fhmFw3cjr6Ojo4O57vs+e3e9imiaPP76aJ5/8
 N2pqavB4PFiMsXz0UTsOm52Ywwm5zSjRcVgdWC02xkwugBIbqCspjA7UYrVC
 WTnSeoGerk5mzpiJ3e7gzOkGNq6v541Xf8XLL/2cV7ZV8M7uUs6fjzF3bhE3
 Tqmip8vPK//5MrvefZeEJCguLiI3N49f/UrjvQNvkZEljLp+FOPGjWV93Tb2
 7O1g1+6fM3b8OCLhEG/v3MmWLS9w/PhOqqoncrrhA14600S8fTtTykeRnpFB
 cVER992/mHhzC/T1fYrQ/KF0+9Z8eON1HPn5aK2txK+7jmBaOnx9OowZBcdH
 w8Yz6K07eOPNWQzL7af54x+z7F8uYLdlcPLkKUTymTrVw2EfdLIE7eAKxo11
 UHPbNNra2tmx4w0+PHM9dnsDmpZNJNJGNPoR+fn53HXXXbz7zj727vNy53cn
 MKI4H5vdxrZfbuPgwYOfWZxfSTRMUygvFzRN+OYcYf58AU34ao1QuVSUc6pM
 nnSznP5gu/T3z5Tz50fIa6/9Un79621SUeEUKBcYIaQvFdYeFSb2CvqTAnMk
 Pd0q06Z9VTQNKSwcL3CbwHgpKxslEydOFNM0k36MHujzCxCjK2fgM2EHLEAK
 mnaB6ilfY1JFNy7XUaZPT6ei4gc880yExYs3EgxGk3VLKdgqwKogfBZCVcA+
 4BTQis1mG+QbVqt1sHxIMg8g9sVc+2voYVkZ4vOly7PPfpH3ZwisEBj3JdDR
 5OgrJcrtdks8HueynvOX4Nln0unozKO29kPC4TBKVaFpc5IcIJV4fANKzUHT
 PMBERN4gkfg1mjYXpTIRaSOReAJNW4XIW4gcQNOWI7IHkX2f2e9lfUnXdTSP
 x4PL5ZKhQ4eSlpb2xb3/2s1Uz3qJzo4TKJWsHtXfk0icQNN+BAxHqTLgODAS
 kV1o2j8DZ9H1JSQSe1HqZqAcpXLQ9YdQaiq6/hgiic/sNi0tjaFDh+JyucTj
 8WDccccdrv379/edOnUKXdfFbrerrq6uPy+RdHTyy60/Jj0dLmtYIocQeQXY
 QCKxBZFzgBddnwPMIRK5BogDXgzjJUQuAqcQaUSp6ej6wyQSO5IzyKf4eFZW
 Fg6HQxwOhxo1apSqrq52GYsWLfJt2rRpks1mm9bb27u2sbER0zQlGAyqz1Uk
 jh1lWDrcffcfbWfy8uDvRWR3knzkE49vIZF4C8P4D2KxmUAK0eh0DOOnQAqQ
 gsgxRPpQyp1sG0BKSsplOVKcTqcqLCxUaWlpS8vLy99dtGiRTy1fvpzVq1df
 1iaH9/f3L21ra1vY2NgoPp9vUHlrb2//VI585zuwZcsftxRgsexEqQISiV3E
 YjPQ9Tp0fREinYBGNPpNTHMv8fgWRJqTeXMDsdjPEVmLYbRimv9CVtbzwEDB
 6HK5pLCwUOXk5DzlcDjWbty48VxS4rxSmbvvvvt48sknSUp53R988EHvpUuX
 8ru7uzWlFLFYTAKBwKAyF4uBpsUHVYwvosr9YfdL1jLawL3TacU0U3E44mIY
 TiVikpmZmcjOzm4eOXJk+rp16zL/lDL3Z7XRJUuW3P/xxx+nhUKhWYFAYHJf
 Xx+BQAC/3y+ACoVCiMigLppIJNA0DU3TrrCZSCRIJBLouo6IYJomSilsNhuA
 OJ1O5XA4SE1NJSUl5ZDVat3u8Xi8dXV1T3xhbfSTWLhwIU899RQAjz32WGpr
 a2vmuXPnYh6PZ1kgEFjY09OD3+8nFArh8/kkGo2qSCRCPB5HRK6Q15VS6LqO
 aZpYLJZBh1NSUsjIyMDhcDzV1NS0Ji8vz8jNze1etWqV75M+/L+eDyxbtqzb
 7/f3hUKhwfOBeDw+kNK6Png+YLPZcDqdrjVr1mR+GecDf/MnNFdxFVdxFVfx
 V+F/AYMV8B7tziAYAAAAAElFTkSuQmCC
XSBC-Maemo-Display-Name: SyncTERM

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure:

config.status: configure
	dh_testdir


build: build-stamp

build-stamp:  config.status
	dh_testdir

	cd syncterm; $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Folders
	install -d ${CURDIR}/debian/syncterm/opt/syncterm
	install -d ${CURDIR}/debian/syncterm/usr/bin
	install -d ${CURDIR}/debian/syncterm/usr/share/icons/hicolor/64x64/hildon
	install -d ${CURDIR}/debian/syncterm/usr/share/applications/hildon

	#Binary to opt
	install ${CURDIR}/syncterm/*exe*/syncterm ${CURDIR}/debian/syncterm/opt/syncterm

	#start-script
	install ${CURDIR}/syncterm.sh ${CURDIR}/debian/syncterm/usr/bin

	#Icon file and desktop-file
	install ${CURDIR}/syncterm/syncterm.png     ${CURDIR}/debian/syncterm/usr/share/icons/hicolor/64x64/hildon
	install ${CURDIR}/syncterm.desktop ${CURDIR}/debian/syncterm/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## syncterm 0.9.4b-maemo2

=== debian/changelog ===
syncterm (0.9.4b-maemo2) unstable; urgency=low

  *  Fremantle packaging
  *  Using system wide cryptlib.h
  *  Using libcrypt-3.4
  *  Fixed: Keyboard-focus on Maemo5 when using X11-interface.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri,  25 Mar 2011 23:39:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: syncterm
-Section: libs
+Section: user/network
 Priority: extra
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5), libcrypt-dev, libsdl1.2-dev, libncurses5-dev, libx11-dev

## syncterm 0.9.4b-maemo3

=== debian/changelog ===
syncterm (0.9.4b-maemo3) unstable; urgency=low

  *  Fremantle packaging
  *  Using system wide cryptlib.h
  *  Using libcrypt-3.4
  *  Fixed: Keyboard-focus on Maemo5 when using X11-interface.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  26 Mar 2011 20:54:08 +0200

## syncterm 0.9.4b-maemo4

=== syncterm/Makefile ===
SRC_ROOT	= ..
!include ${SRC_ROOT}\build\Common.bmake

CFLAGS	=	$(CFLAGS) $(UIFC-MT_CFLAGS) $(CIOLIB-MT_CFLAGS) $(XPDEV-MT_CFLAGS) -I..\sbbs3;..\smblib;..\..\include\cryptlib;..\comio
LDFLAGS	=	$(LDFLAGS) $(UIFC-MT_LDFLAGS) $(CIOLIB-MT_LDFLAGS) $(XPDEV-MT_LDFLAGS)

.path.c = .;..\sbbs3;..\smblib;..\uifc;..\comio

OBJS = $(OBJS) $(MTOBJODIR)$(DIRSEP)comio_win32$(OFILE) $(MTOBJODIR)$(DIRSEP)ssh$(OFILE)
!ifdef WITHOUT_OOII
 CFLAGS	= $(CFLAGS) -DWITHOUT_OOII=1
!else
 OBJS = $(OBJS) $(MTOBJODIR)$(DIRSEP)ooii$(OFILE)
 OBJS = $(OBJS) $(MTOBJODIR)$(DIRSEP)ooii_logons$(OFILE)
 OBJS = $(OBJS) $(MTOBJODIR)$(DIRSEP)ooii_cmenus$(OFILE)
 OBJS = $(OBJS) $(MTOBJODIR)$(DIRSEP)ooii_bmenus$(OFILE)
 OBJS = $(OBJS) $(MTOBJODIR)$(DIRSEP)ooii_sounds$(OFILE)
!endif

!ifdef USE_WXWIDGETS
 !ifndef WXWIDGETS_DIR
  WXWIDGETS_DIR = C:\wxWidgets-2.8.4
 !endif
 !ifndef WXWIDGETS_CFG
  WXWIDGETS_CFG=syncterm
 !endif
 CFLAGS = $(CFLAGS) -DWITH_WXWIDGETS -I$(WXWIDGETS_DIR)\include -I$(WXWIDGETS_DIR)\lib\bcc_lib$(WXWIDGETS_CFG)\mswu
 LDFLAGS = $(LDFLAGS)  -L$(WXWIDGETS_DIR)\lib\bcc_lib$(WXWIDGETS_CFG) 
 WXLIBS = $(WXLIBS) wxbase28.lib wxbase28_net.lib wxjpeg.lib wxmsw28_core.lib wxmsw28_html.lib wxpng.lib wxtiff.lib wxzlib.lib
 OBJS = $(OBJS) $(MTOBJODIR)$(DIRSEP)htmlwin$(OFILE)
!endif

$(SYNCTERM): $(OBJS)
	@echo Linking $@
        ${QUIET}$(CC) $(LDFLAGS) $(MT_LDFLAGS) -e$@ $(OBJS) $(UIFC-MT_LIBS) $(CIOLIB-MT_LIBS) $(WXLIBS) $(XPDEV-MT_LIBS)

=== xpdev/Makefile ===
# To build the .dll files, use "make [OPTIONS] DLLIBS=1 dl"

SRC_ROOT	=	..
!include $(SRC_ROOT)/build/Common.bmake

CFLAGS	=	$(CFLAGS) $(XPDEV_CFLAGS)
MT_CFLAGS	=	$(MT_CFLAGS) $(XPDEV-MT_CFLAGS)

#The following is necessary only when DLL-exporting wrapper functions
!ifdef DLLIBS
CFLAGS	=	$(CFLAGS) -DWRAPPER_EXPORTS=1
!endif

MT_CFLAGS = $(MT_CFLAGS) -DLINK_LIST_THREADSAFE

!ifdef USE_SDL_AUDIO
MTOBJS		= $(MTOBJS) $(MTOBJODIR)$(DIRSEP)SDL_win32_main$(OFILE)
MTOBJS		= $(MTOBJS) $(MTOBJODIR)$(DIRSEP)sdlfuncs$(OFILE)
OBJS		= $(OBJS) $(OBJODIR)$(DIRSEP)SDL_win32_main$(OFILE)
OBJS		= $(OBJS) $(OBJODIR)$(DIRSEP)sdlfuncs$(OFILE)
!endif

$(WRAPTEST): $(XPDEV-MT_LIB_BUILD) $(TESTOBJS) $(EXEODIR)
	@echo Linking $<
	$(QUIET)$(CC) $(LDFLAGS) $(MT_LDFLAGS) $(XPDEV-MT_CFLAGS) $(XPDEV-MT_LDFLAGS) -e$@ $(TESTOBJS) $(XPDEV-MT_LIBS)

$(XPTIME): $(XPDEV_LIB_BUILD) $(OBJODIR)$(DIRSEP)xptime$(OFILE)
	@echo Linking $<
	$(QUIET)$(CC) $(LDFLAGS) $(XPDEV-CFLAGS) $(XPDEV-LDFLAGS) -e$@ $** $(XPDEV-LIBS)

$(XPDEV_LIB_BUILD): $(OBJS)
	@echo Creating $< ...
	-$(QUIET)$(DELETE) $@
	&$(QUIET)tlib $@ +$**

$(XPDEV_SHLIB_BUILD): $(OBJS)
	@echo Linking $@
	$(QUIET)$(MKSHLIB) $(MT_LDFLAGS) -lGi -e$@ $(LDFLAGS) $(SHLIBOPTS) @&&|
	$**
	cw32.lib
|

$(XPDEV-MT_LIB_BUILD): $(MTOBJS)
	@echo Creating $< ...
	-$(QUIET)$(DELETE) $@
	&$(QUIET)tlib $@ +$**

$(XPDEV-MT_SHLIB_BUILD): $(MTOBJS)
	@echo Linking $@
	$(QUIET)$(MKSHLIB) $(MT_LDFLAGS) -lGi -e$@ $(LDFLAGS) $(SHLIBOPTS) @&&|
	$**
	cw32mt.lib
|

=== debian/changelog ===
syncterm (0.9.4b-maemo4) unstable; urgency=low

  * Uses optified libcrypt

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun,  27 Mar 2011 19:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: syncterm
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libcrypt
 Description: SyncTERM is a BBS terminal program
  .
  Homepage: http://www.syncterm.net/

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	install ${CURDIR}/syncterm/*exe*/syncterm ${CURDIR}/debian/syncterm/opt/syncterm
 
 	#start-script
-	install ${CURDIR}/syncterm.sh ${CURDIR}/debian/syncterm/usr/bin
+	install ${CURDIR}/syncterm.sh ${CURDIR}/debian/syncterm/usr/bin/syncterm
 
 	#Icon file and desktop-file
 	install ${CURDIR}/syncterm/syncterm.png     ${CURDIR}/debian/syncterm/usr/share/icons/hicolor/64x64/hildon

## syncterm 0.9.5b-maemo1

=== uifc/Makefile ===
SRC_ROOT = ..
# Cross platform/compiler definitions
!include $(SRC_ROOT)\build\Common.bmake	# defines clean and output directory rules

CFLAGS = -w-par -w-aus -w-csu $(CFLAGS) $(XPDEV-MT_CFLAGS) $(CIOLIB-MT_CFLAGS)

$(UIFCLIB_BUILD): $(OBJS)
	@echo Creating $< ...
	-$(QUIET)$(DELETE) $@
        &$(QUIET)tlib $@ +$**

$(UIFCLIB-MT_BUILD): $(MT_OBJS)
	@echo Creating $< ...
	-$(QUIET)$(DELETE) $@
        &$(QUIET)tlib $@ +$**

$(UIFCTEST): $(MTOBJODIR)$(DIRSEP)uifctest$(OFILE) $(MTOBJODIR)$(DIRSEP)filepick$(OFILE)
	@echo Creating $@ ...
	$(QUIET)$(CC) $(MT_LDFLAGS) $(UIFC-MT_LDFLAGS) $(XPDEV-MT_LDFLAGS) $(CIOLIB-MT_LDFLAGS) $(LDFLAGS) -e$@ $(MTOBJODIR)$(DIRSEP)filepick$(OFILE) $(MTOBJODIR)$(DIRSEP)uifctest$(OFILE) $(UIFC-MT_LIBS) $(CIOLIB-MT_LIBS) $(XPDEV-MT_LIBS)

=== debian/changelog ===
syncterm (0.9.5b-maemo1) unstable; urgency=low

  *  New upstream version (no Maemo specific fixes)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  28 Apr 2011 11:02:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 5), libcrypt-dev, libsdl1.2-dev, libncurses5-dev, libx11-dev
+Build-Depends: debhelper (>= 5), libcrypt, libsdl1.2-dev, libncurses5-dev, libx11-dev
 Standards-Version: 3.7.2
 
 Package: syncterm
